/* 
 * brpop.h
 * 
 * Definitions to monitor POP connectiobns
 * 
 * Copyright 2003-2008 by Praemio Inc. All rights reserved.
 * Author: John Bartas - jbartas@praemio.com
 * This software is released under the terms of the LGPL.
 * See LGPL Notice at end of this file; Full license in ../license.txt
 * 
 */

#ifndef BRPOP_H
#define BRPOP_H 1


struct popconn 
{
   struct popconn * next;
   int          in_use;     /* re-entry semaphore */
   ip_addr      fhost;      /* host, if connected (in net endian) */
   unshort      fport;      /* port, if connected */
   unsigned     options;    /* client option flags */
   SOCKTYPE     sock;       /* socket for cxn to server */
   int          state;      /* one of P3CS_ defines below */
   int          respstate;  /* state for multi-line response end detector */
   ulong        last_chg;   /* time of last POP3 traffic (ticks) */
   int          last_op;    /* last operation (P3OP_ defines below) */
   int          respflag;   /* cmdbuf contains response */
   char *       respexcess; /* ptr to excess response (after \r\n) in cmdbuf */
   int          respexclen; /* length of excess response in cmdbuf */
   p3c_callback callback;   /* server command-completion callback */
   unsigned     ok;         /* flag: server's last response was "+OK" */
   void *       pio;        /* To support Generic I/O for client */
   char         cmdbuf[P3CMDRESPBUFSIZE+1];  /* command/response buffer */
   char         username[P3MAXUSERNAME+1];
   char         password[P3MAXUSERPASS+1];   /* password for login */




#endif /* BRPOP_H */

/*
Copyright (C) 2003-2008 by Praemio Inc. All rights reserved.

Author: John Bartas - jbartas@praemio.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


