/* brusers.c
 *
 * Support for multiple users and passwords on Buster
 *
 * Copyright 2003-2008 by Praemio Inc. All rights reserved.
 * Author: John Bartas - jbartas@praemio.com
 * This software is released under the terms of the LGPL.
 * See LGPL Notice at end of this file; Full license in ../license.txt
 *
 */


#include "busterport.h"
#include "brnet.h"
#include "ip.h"
#include "brdb.h"

struct br_user  users[BR_MAXUSERS];


int add_user(char * username, char * password, long permitmask)
{
    int i;

    for(i = 0; i < BR_MAXUSERS; i++)
    {
        if(users[i].username[i] == 0)
        {
            strncpy(users[i].username, username, MAXUSERLENGTH);
            strncpy(users[i].password, password, MAXUSERLENGTH);
            users[i].usermask = permitmask;
            return 0;
        }
    }
    return ENP_RESOURCE;
}

/*
Copyright (C) 2003-2008 by Praemio Inc. All rights reserved.

Author: John Bartas - jbartas@praemio.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


